@import "../../../../colors.scss";

.contact-card {
	display: flex;
	flex-direction: column;
	position: fixed;
	z-index: 1;
	left: 3%;
	top: 15%;
	overflow: auto;
	background-color: $light-yellow;
	padding: 16px;
	gap: 8px;
	border: 1px solid $main-dark-blue;
	border-radius: 3px;

	.contact-name {
		font-size: 24px;
		margin-bottom: 16px;
	}

	.contact-details {
		display: flex;
		flex-direction: row;
		gap: 32px;

		img {
			border-radius: 6px;
			height: 100px;
		}

		.detail-name {
			font-weight: bold;
		}
	}

	button {
		background-color: white;
		padding: 8px 16px;
		border: 1px solid $main-dark-blue;
		border-radius: 3px;
		align-self: flex-end;
		&:hover {
			background-color: $gray;
		}
	}

	table {
		width: 100%;

		td {
			padding: 3px;
			&.data-key {
				font-weight: bold;
			}
		}
	}

	// Queries

	//Place under contacts for tablet view
	@media only screen and (max-width: 768px) {
		position: static;
		background-color: white;
	}

	@media only screen and (max-width: 480px) {
		position: fixed;
		left: 0;
		right: 0;
		top: 0;

		.contact-details {
			flex-direction: column;
			align-items: center;

			table {
				td {
					display: block;
					&.data-value {
						margin-bottom: 16px;
					}
				}
			}

			img {
				border-radius: 6px;
				width: 30%;
			}
		}
	}
}
